Summary: Update notification daemon
Name: yum-updatesd
Version: 0.9
Release: %mkrel 1
License: GPLv2
Group: System/Packaging
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.service

#Fixed in upstream
Patch0: %{name}.nm-online.patch
Patch1: %{name}.typo-packages.patch

URL: http://linux.duke.edu/yum/
BuildArch: noarch
BuildRequires: python-devel
BuildRequires: systemd-devel
Requires: python >= 2.4
Requires: yum >= 3.2.0
Requires: python-dbus
Requires: python-gobject2
Requires: python-gamin
Requires(post): systemd
Requires(preun): systemd

%description
yum-updatesd provides a daemon which checks for available updates and 
can notify you when they are available via email, syslog or dbus. 

%prep
%setup -q

%patch0
%patch1

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

# Don't need the old sysv initscript anymore
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/

%post
%systemd_post yum-updatesd.service

%preun
%systemd_preun yum-updatesd.service

%files
%doc COPYING
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/yum/yum-updatesd.conf
%{_sysconfdir}/dbus-1/system.d/yum-updatesd.conf
%{_sbindir}/yum-updatesd
%{_libexecdir}/yum-updatesd-helper
%{_mandir}/man*/yum-updatesd*




%changelog
* Sun May 07 2017 ngompa <ngompa> 0.9-1.mga6
+ Revision: 1099453
- Rework for Mageia
- imported package yum-updatesd

